=begin
#Alfresco Content Services REST API

#**Core API**  Provides access to the core features of Alfresco Content Services. 

OpenAPI spec version: 1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.2.3

=end

require 'spec_helper'
require 'json'

# Unit tests for AlfrescoAPI::RenditionsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'RenditionsApi' do
  before do
    # run before each test
    @instance = AlfrescoAPI::RenditionsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RenditionsApi' do
    it 'should create an instance of RenditionsApi' do
      expect(@instance).to be_instance_of(AlfrescoAPI::RenditionsApi)
    end
  end

  # unit tests for create_rendition
  # Create rendition
  # **Note:** this endpoint is available in Alfresco 5.2 and newer versions.  An asynchronous request to create a rendition for file **nodeId**.  The rendition is specified by name **id** in the request body: &#x60;&#x60;&#x60;JSON {   \&quot;id\&quot;:\&quot;doclib\&quot; } &#x60;&#x60;&#x60; 
  # @param node_id The identifier of a node.
  # @param rendition_body_create The rendition \&quot;id\&quot;.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'create_rendition test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_rendition
  # Get rendition information
  # **Note:** this endpoint is available in Alfresco 5.2 and newer versions.  Gets the rendition information for **renditionId** of file **nodeId**. 
  # @param node_id The identifier of a node.
  # @param rendition_id The name of a thumbnail rendition, for example *doclib*, or *pdf*.
  # @param [Hash] opts the optional parameters
  # @return [RenditionEntry]
  describe 'get_rendition test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_rendition_content
  # Get rendition content
  # **Note:** this endpoint is available in Alfresco 5.2 and newer versions.  Gets the rendition content for **renditionId** of file **nodeId**. 
  # @param node_id The identifier of a node.
  # @param rendition_id The name of a thumbnail rendition, for example *doclib*, or *pdf*.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :attachment **true** enables a web browser to download the file as an attachment. **false** means a web browser may preview the file in a new tab or window, but not download the file.  You can only set this parameter to **false** if the content type of the file is in the supported list; for example, certain image files and PDF files.  If the content type is not supported for preview, then a value of **false**  is ignored, and the attachment will be returned in the response. 
  # @option opts [DateTime] :if_modified_since Only returns the content if it has been modified since the date provided. Use the date format defined by HTTP. For example, &#x60;Wed, 09 Mar 2016 16:56:34 GMT&#x60;. 
  # @option opts [BOOLEAN] :placeholder If **true** and there is no rendition for this **nodeId** and **renditionId**,  then the placeholder image for the mime type of this rendition is returned, rather  than a 404 response. 
  # @return [nil]
  describe 'get_rendition_content test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_renditions
  # List renditions
  # **Note:** this endpoint is available in Alfresco 5.2 and newer versions.  Gets a list of the rendition information for each rendition of the the file **nodeId**, including the rendition id.  Each rendition returned has a **status**: CREATED means it is available to view or download, NOT_CREATED means the rendition can be requested.  You can use the **where** parameter to filter the returned renditions by **status**. For example, the following **where**  clause will return just the CREATED renditions:    &#x60;&#x60;&#x60; (status&#x3D;&#39;CREATED&#39;) &#x60;&#x60;&#x60; 
  # @param node_id The identifier of a node.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :where A string to restrict the returned objects by using a predicate.
  # @return [RenditionPaging]
  describe 'list_renditions test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
